<f:layout name="Boxed" />

<f:section name="content">
    <div class="text-module {f:if(condition: data.hideOnMobile, then: 'd-none d-md-block')} m{data.marginPos}{data.margin} d-flex w-100 {data.textAlignment}">
        <f:if condition="{data.header} && {data.headlines}">
            <div class="text-module-header mb-0 {f:if(condition: '{data.textAlignment} === \'justify-content-center\'', then: 'w-50 text-center')}">
                <f:render section="Headline" arguments="{_all}" />
            </div>
        </f:if>
    </div>
</f:section>

<f:section name="Headline">
    <{data.headlines} class="{data.headlines} mb-0 {data.textColor} {f:if(condition: '{data.upperCase}', then: 'text-uppercase')} lh-1">
        {data.header}
    </{data.headlines}>
</f:section>